# Uses of Class
org.apache.wiki.WikiPage

Packages that use WikiPage
Package
Description
org.apache.wiki
The chief package of JSPWiki.
org.apache.wiki.attachment
Attachment management, uploading and downloading.
org.apache.wiki.search
Provides the JSPWiki search functionality.

## Uses of WikiPage in org.apache.wiki

Methods in org.apache.wiki that return WikiPage
Modifier and Type
Method
Description
`WikiPage`
WikiPage.`clone()`
Creates a deep clone of a WikiPage.
`WikiPage`
WikiContext.`getPage()`
Returns the page that is being handled.
`WikiPage`
WikiContext.`getRealPage()`
Gets a reference to the real page whose content is currently being rendered.
`WikiPage`
WikiContext.`setRealPage(org.apache.wiki.api.core.Page page)`
Sets a reference to the real page whose content is currently being rendered.

## Uses of WikiPage in org.apache.wiki.attachment

Subclasses of WikiPage in org.apache.wiki.attachment
Modifier and Type
Class
Description
`class`
`Attachment`
Describes an attachment.
`class`
`DynamicAttachment`
A DynamicAttachment is an attachment which does not really exist, but is created dynamically by a JSPWiki component.

## Uses of WikiPage in org.apache.wiki.search

Methods in org.apache.wiki.search that return WikiPage
Modifier and Type
Method
Description
`WikiPage`
SearchMatcher.SearchResultImpl.`getPage()`
Returns Wikipage for this result.
`WikiPage`
SearchResult.`getPage()`
Deprecated.
Return the page.